#ifndef __OPTIONS__
#define __OPTIONS__

#include "optionsForm.h"
#include "brainEnvironment.h"

class options : public optionsForm {
  Q_OBJECT
public:
  options(brainEnvironment *environ, QWidget *parent = 0, 
          const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~options();
 public slots:
 void applyOptions();
  void cancelOptions();
  void drawStyleChanged(int);
signals:
void newDrawStyle(const QString&);
private:
  brainEnvironment *environ;
};

#endif // __OPTIONS__
